GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_channel Struct Reference

## Data Fields
int | is_client
gpr_refcount | refs
gpr_uint32 | max_message_length
grpc_mdctx * | metadata_context
grpc_mdstr * | grpc_status_string
| mdstr for the grpc-status key More...
grpc_mdstr * | grpc_compression_algorithm_string
grpc_mdstr * | grpc_message_string
grpc_mdstr * | path_string
grpc_mdstr * | authority_string
grpc_mdelem * | grpc_status_elem [3]
| mdelem for grpc-status: 0 thru grpc-status: 2 More...
gpr_mu | registered_call_mu
registered_call * | registered_calls
grpc_iomgr_closure | destroy_closure
char * | target

## Field Documentation

grpc_mdstr* grpc_channel::authority_string

grpc_iomgr_closure grpc_channel::destroy_closure

grpc_mdstr* grpc_channel::grpc_compression_algorithm_string

grpc_mdstr* grpc_channel::grpc_message_string

grpc_mdelem* grpc_channel::grpc_status_elem[3]

mdelem for grpc-status: 0 thru grpc-status: 2

grpc_mdstr* grpc_channel::grpc_status_string

mdstr for the grpc-status key

int grpc_channel::is_client

gpr_uint32 grpc_channel::max_message_length

grpc_mdctx* grpc_channel::metadata_context

grpc_mdstr* grpc_channel::path_string

gpr_refcount grpc_channel::refs

gpr_mu grpc_channel::registered_call_mu

registered_call* grpc_channel::registered_calls

char* grpc_channel::target

The documentation for this struct was generated from the following file:

- src/core/surface/channel.c